<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * ジャンル登録フォーム
 *
 * @package     Admin.Datamanage.Shopinfo_Input
 * @access      public
 */
class Admin_Datamanage_Shopinfo_Input
{
    var $c_systeminfo;

    var $record;
    var $shopnm;
    var $shopcontent;
    var $buynote;
    var $updcnt;

    var $title;
    var $pagename;

    function execute()
    {
        $data = $this->c_systeminfo->selectAll();
        if (!isset($this->shopnm)) {
            $this->shopnm = $data[0]["shopnm"];
        }
        if (!isset($this->shopcontent)) {
            $this->shopcontent = $data[0]["shopcontent"];
        }
        if (!isset($this->buynote)) {
            $this->buynote = $data[0]["buynote"];
        }
        if (!isset($this->updcnt)) {
            $this->updcnt = $data[0]["updcnt"];
        }
        return 'success';
    }
}
?>
